Bug 815545 - RFE: BuildRequires/Requires/configure.ac sanitizing
Summary: RFE: BuildRequires/Requires/configure.ac sanitizing
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-23 19:50 UTC by Bill Nottingham
Modified: 2014-03-17 03:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-28 21:53:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Bill Nottingham 2012-04-23 19:50:16 UTC
Description of problem:

The assumption is that the combination of newui + noloader means that chunks of BuildRequires, Requires, and assorted configure.ac checks are no longer valid, and can be removed.

For example, newui would drop the buildrequires & requires on s-c-date/s-c-keyboard, noloader presumably drops a bunch of -devel buildreqs, etc.

Version-Release number of selected component (if applicable):

f17/newui/master

Comment 1 Chris Lumens 2013-01-20 17:41:59 UTC
Dave's looking at this as part of moving blivet out.

Comment 2 David Lehman 2013-01-28 21:53:38 UTC
As of commit 9040049d8d23 this stuff should be in pretty good shape.


Note You need to log in before you can comment on or make changes to this bug.